- ref = ref || nil
- btn_class = btn_class || ''
- split_button = split_button || false 
- if split_button == true
  %span.btn-group{class: btn_class}
    = link_to archive_project_repository_path(@project, ref: ref, format: 'zip'), class: 'btn', rel: 'nofollow' do
      %i.icon-download-alt
      %span
        = t("projects_section.repositories.download_zip")
    %a.btn.dropdown-toggle{ 'data-toggle' => 'dropdown' }
      %span.caret
      %span.sr-only
        = t("projects_section.repositories.select_archive_format")
    %ul.dropdown-menu{ role: 'menu' }
      %li
        = link_to archive_project_repository_path(@project, ref: ref, format: 'zip'), rel: 'nofollow' do
          %i.icon-download-alt
          %span
            = t("projects_section.repositories.download_zip")
      %li
        = link_to archive_project_repository_path(@project, ref: ref, format: 'tar.gz'), rel: 'nofollow' do
          %i.icon-download-alt
          %span
            = t("projects_section.repositories.download_tar_gz")
      %li
        = link_to archive_project_repository_path(@project, ref: ref, format: 'tar.bz2'), rel: 'nofollow' do
          %i.icon-download-alt
          %span
            = t("projects_section.repositories.download_tar_bz2")
      %li
        = link_to archive_project_repository_path(@project, ref: ref, format: 'tar'), rel: 'nofollow' do
          %i.icon-download-alt
          %span
            = t("projects_section.repositories.download_tar")
- else
  %span.btn-group{class: btn_class}
    = link_to archive_project_repository_path(@project, ref: ref, format: 'zip'), class: 'btn', rel: 'nofollow' do
      %i.icon-download-alt
      %span zip
    = link_to archive_project_repository_path(@project, ref: ref, format: 'tar.gz'), class: 'btn', rel: 'nofollow' do
      %i.icon-download-alt
      %span tar.gz